summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/help-version2
-rwxr-xr-xtests/misc/invalid-opt2
-rwxr-xr-xtests/misc/nohup5
3 files changed, 6 insertions, 3 deletions
diff --git a/tests/misc/help-version b/tests/misc/help-version
index 57cc1e7d3..da559070f 100755
--- a/tests/misc/help-version
+++ b/tests/misc/help-version
@@ -30,7 +30,7 @@ export SHELL
expected_failure_status_chroot=125
expected_failure_status_env=125
expected_failure_status_nice=125
-expected_failure_status_nohup=127
+expected_failure_status_nohup=125
expected_failure_status_stdbuf=125
expected_failure_status_su=125
expected_failure_status_timeout=125
diff --git a/tests/misc/invalid-opt b/tests/misc/invalid-opt
index 155ac6e12..2e5c099da 100755
--- a/tests/misc/invalid-opt
+++ b/tests/misc/invalid-opt
@@ -33,7 +33,7 @@ my %exit_status =
env => 125,
expr => 0,
nice => 125,
- nohup => 127,
+ nohup => 125,
sort => 2,
stdbuf => 125,
su => 125,
diff --git a/tests/misc/nohup b/tests/misc/nohup
index 25a7ca4da..ad04a1cb0 100755
--- a/tests/misc/nohup
+++ b/tests/misc/nohup
@@ -101,8 +101,11 @@ EOF
# Disable these comparisons. Too much variation in 2nd line.
# compare exp err || fail=1
-# Make sure it fails with exit status of 127 when given too few arguments.
+# Make sure it fails with exit status of 125 when given too few arguments,
+# except that POSIX requires 127 in this case.
nohup >/dev/null 2>&1
+test $? = 125 || fail=1
+POSIXLY_CORRECT=1 nohup >/dev/null 2>&1
test $? = 127 || fail=1
Exit $fail